<script setup lang="ts">
defineOptions({ name: 'mj-list' })

const props = withDefaults(
    defineProps<{
        round?: boolean
        margin?: string
    }>(),
    {
        round: false,
        margin: '0',
    }
)
</script>
<template>
    <!-- 支付宝小程序中，必须要再套一层。class在自定义组件上几乎是失效的 -->
    <view
        class="mj-list"
        :class="{
            round: props.round,
        }"
        :style="{ margin: props.margin }"
    >
        <tui-list-view v-bind="$attrs"><slot /></tui-list-view>
    </view>
</template>

<style lang="scss" scoped></style>
